<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Mail;

class VerificationLawyerEmail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;
    /**
     * Create a new message instance.
     */
    public function __construct($user)
    {
	$this->user = $user;
    }

    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Thank you for registering! | Legal.com',
        );
    }

    /**
     * Get the message content definition.
     */
    public function content(): Content
    {
	
        return new Content(
            view: 'emails.verification-lawyer',
        );
	

    }

    /**
     * Get the attachments for the message.
     *
     * @return array<int, \Illuminate\Mail\Mailables\Attachment>
     */
    public function attachments(): array
    {
        return [];
    }

	public function build()
	{

		$this->subject('Thank you for registering! | Legal.com')
	         ->from('info@legal.com')
	         ->view('emails.verification-lawyer')
		 ->with(['user' => $this->user]);

	    return $this;
	}

}
